std::aligned_union< _Len, _Types >(3)

NAME
std::aligned_union< _Len, _Types > - Provide aligned storage for types.

SYNOPSIS

  Public Types
typedef aligned_storage< _S_len, alignment_value >::type type
The storage.

  Static Public Attributes
static const size_t alignment_value
The value of the strictest alignment of _Types.

Detailed Description

  template<size_t _Len, typename... _Types>
struct std::aligned_union< _Len, _Types >" Provide aligned storage for types. [meta.trans.other]

Provides aligned storage for any of the provided types of at least size _Len.

See also
    aligned_storage

Definition at line 2107 of file type_traits.

Member Typedef Documentation

  template<size_t _Len, typename... _Types> typedef aligned_storage<_S_len, alignment_value>::type std::aligned_union< _Len, _Types >::type

The storage.

Definition at line 2119 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.